import requests
import logging



def get_sessions(p2_store_url, schedule, filename):
    res = requests.get(p2_store_url+'/experiment/session', params={
        'schedule': schedule,
        'filepath': filename
        })
    if (res.status_code != 200):
        logging.warning("No session found")
    else:
        sessions = res.json()

        if (len(sessions) is 0):
            logging.warning("No session with schedule {} for {}".format(
                schedule,
                filename
                ))
        else:
            return sessions
    return None

def update_session( exp_id, attrs ):
    res = requests.put(p2_store_url+"/experiment/session/{}".format(exp_id), data=attrs)
    return (res.status_code)

def update_log( exp_id, log ):
    res = requests.post(p2_store_url+"/experiment/log/{}".format(exp_id), data=attrs)
    return (res.status_code)


